uopz_function
uopz_overload
Uopz Functions
PHP Manual

# uopz_implement

(PECL uopz >= 1.0.0)

uopz_implement — Implements an interface at runtime

### Description

void uopz_implement ( string `$class` , string `$interface` )

Makes `class` implement `interface`

### Parameters

`class`

`interface`

### Return Values

### Examples

Example #1 uopz_implement() example

`<?php
interface myInterface {}
class myClass {}
uopz_implement(myClass::class, myInterface::class);
var_dump(class_implements(myClass::class));
?>`

The above example will output something similar to:

    array(1) {
      ["myInterface"]=>
      string(11) "myInterface"
    }

uopz_function
uopz_overload
Uopz Functions
PHP Manual